@import url('./fonts.css');

/* variables */
:root {
    --black1: #303030;
    --black2: #2c2c2c;
    --white: #fcfcf7;
    --green: #12af58;
    --green-dark: #13452a;
    --green-light: #32de8b;
    --green-light-hover: #2bc47a;
    --gray: #f1f2ee;
    --font-family: 'TT Interphases Pro', sans-serif;
    --font-family-mono: 'TT Interphases Pro Mono', monospace;
}

/*
- element-level
*/
body {
    font-family: var(--font-family);
    font-weight: 300;
    font-size: 18px;
    color: var(--black2);
}
h1,
h2,
h3,
h4,
h5,
h6 {
    font-family: var(--font-family);
    font-weight: 300;
}
h1 {
    font-size: 48px;
}
@media (max-width: 767px) {
    h1 {
        font-size: 38px;
    }
}
h2 {
    font-size: 44px;
}
@media (max-width: 767px) {
    h2 {
        font-size: 32px;
    }
}
h3 {
    font-size: 38px;
}
p {
    font-size: 32px;
}
@media (max-width: 767px) {
    p {
        font-size: 26px;
    }
}
header img {
    filter: drop-shadow(0px 2px 5px #0005);
}
iframe {
    border: 0;
    width: -moz-available;
}
main section:first-child {
    padding-top: 175px;
}
a {
    color: var(--green);
}
a:hover {
    color: var(--green-dark);
}
@media (max-width: 999px) {
    main section:first-child {
        padding-top: 100px;
    }
    main section {
        padding: 50px 0;
    }
}
footer {
    color: var(--white);
    background: var(--green-dark);
    padding: 50px 0;
}

/* 
- colors and backgrounds
*/
.bg-white {
    background-color: var(--white) !important;
}
.bg-chrome {
    background-color: var(--gray);
}
.bg-light-green {
    background-color: var(--green-light);
}
.bg-synchron-black {
    background-color: var(--black2);
}
.bg-synchron-dark-green {
    background-color: var(--green-dark);
}
.text-white {
    color: var(--white) !important;
}
.text-synchron-black {
    color: var(--black2) !important;
}
.text-synchron-green {
    color: var(--green) !important;
}
.text-synchron-dark-green {
    color: var(--green-dark) !important;
}
.text-synchron-light-green {
    color: var(--green-light) !important;
}

/* 
- buttons and text
*/
.btn {
    border-radius: 300px;
    font-family: var(--font-family);
    font-size: 18px;
    text-transform: none;
    color: var(--black2);
    border: 1px solid;
    border-color: var(--black2);
    background-color: var(--green-light);
    letter-spacing: 1px;
    padding: 6px 24px;
    transition: .2s;
}
.btn:hover {
    color: var(--white);
    border-color: var(--green-dark);
    background-color: var(--green-dark);
}
.btn-white {
    background-color: var(--white);
}
.btn-white:hover {
    background-color: var(--green-dark);
}
.btn-xl {
    padding: 15px 40px;
}
.text-mono {
    font-family: var(--font-family-mono);
}
.inline-btn {
    display: inline-block;
    max-width: 80vw;
}
.connected-pill {
    width: 30%;
    height: 7em;
}
@media(max-width:1199px) {
    .connected-pill {
        height: 8em;
    }
}
@media (max-width: 991px) {
    .connected-pill {
        height: auto;
        width: 100%;
    }
}
.inline-btn > a {
    height: 100%;
    display: inline-flex;
}
.text-small {
    font-size: 18px;
}

.fade-in-element {
    opacity: 0;
    transform: translateX(20px);
    animation: fadeSlide .5s ease-out 1s forwards;
}
@keyframes fadeSlide {
    from {
        opacity: 0;
        transform: translateX(20px);
    }
    to {
        opacity: 1;
        transform: translateX(0);
    }
}

/* 
- homepage
*/
.home .hero {
    color: var(--white);
    padding: min(35vw, 700px) 0 50px;
    background: url(../img/bg-hero-flipped.png) no-repeat;
    background-size: cover;
    background-position: center bottom;
}
.home .hero h1,
.home .hero p {
    text-shadow: 0 0 5px rgba(0, 0, 0, 0.2);
}
.crosshairs {
    width: 75px;
}
.home .hero .crosshairs {
    filter: drop-shadow(0px 1px 5px #000a)
}
.home .our-technology {
    scroll-margin-top: 50px;
}
.home .our-technology .headline {
    max-width: min(75vw, 700px);
}
.home .our-technology .video-embed {
    aspect-ratio: 1.78;
}
.home .our-history::before {
    content: '';
    background: white;
    position: absolute;
    left: 0;
    right: 0;
    display: block;
    height: 37px;
}
.home .our-history .sticky-top {
    top: 200px;
}
.home .our-history .timeline {
    padding-top: 125px;
    @media (max-width: 767px) {
        padding-top: 75px;
    }
}
.home .our-history .icon-column {
    position: relative;
}
.home .our-history .icon-column .icon {
    width: 140px;
    padding:10px;
    z-index: 2;
    position: relative;
}
.home .our-history .icon-column::before {
    content: '';
    width: 150px;
    height: 150px;
    border: 3px solid var(--black1);
    border-radius: 50%;
    position: absolute;
    top: 0;
    left: calc(50% - 75px);
    background: #fff;
    z-index: 1;
}
.home .our-history .row:not(:last-child) .icon-column::after {
    content: '';
    border: 2px solid var(--black1);
    position: absolute;
    left: calc(50% - 2px);
    top: 10px;
    z-index: 0;
    height: 100%;
}
.home .our-history .timeline-sticky-header {
    max-width: 550px;
}
.home .our-history .timeline-content {
    font-size: 1.5rem;
    @media (max-width: 1199px) {
        font-size: 1.3rem;
    }
}
.home .learn-more .video-embed {
    width: 100%;
    aspect-ratio: 1.78;
}
@media (max-width: 1199px) {
    .home .learn-more .headline {
        font-size: 1.75rem;
    }
}
.home .join-us p {
    max-width: 800px;
}

/* 
- tabs for NewsUpdates
*/
.tab {
    overflow: hidden;
    border: 0px;
    background-color: transparent;
}
.tab button {
    background-color: inherit;
    float: left;
    border: none;
    outline: none;
    cursor: pointer;
    padding: 14px 16px;
    transition: 0.3s;
    font-weight: bold;
    font-family: 'TT Interphases Pro';
    font-size: 30px !important;
    line-height: 42px;
    color: rgb(37, 37, 37, 0.35);
}
.tab button:hover {
    background-color: transparent;
}
.tab button.active {
    font-weight: bold;
    font-family: 'TT Interphases Pro';
    color: #252525;
}
.tabcontent {
    display: none;
    padding: 6px 12px;
    border: 0px;
    border-top: none;
}
.tabcontent p {
    font-size: 18px;
}
.hr {
    border-bottom: 1px solid var(--black2);
}

/* 
- cards I think used mostly on NewsUpdates as well
*/
.container-card {
    border: 1px solid #252525;
}
.container-card .row {
    margin-right: 0;
    margin-left: 0;
}
.card {
    background-color: transparent;
    border-radius: 0px;
    border-color: #252525;
}
@media (max-width: 995px) {
    .card {
        --bs-card-spacer-y: 50px;
        --bs-card-spacer-x: 50px;
        --bs-card-title-spacer-y: 0.5rem;
        --bs-card-border-width: var(--bs-border-width);
        --bs-card-border-color: #252525 !important;
        --bs-card-border-radius: var(--bs-border-radius);
        --bs-card-inner-border-radius: calc(var(--bs-border-radius) - (var(--bs-border-width)));
        --bs-card-cap-padding-y: 0.5rem;
        --bs-card-cap-padding-x: 1rem;
        --bs-card-cap-bg: rgba(var(--bs-body-color-rgb), 0.03);
        --bs-card-bg: var(--bs-body-bg);
        --bs-card-img-overlay-padding: 1rem;
        --bs-card-group-margin: 0;
        border-top-width: 0px !important;
    }
}

@media (max-width: 995px) {
    .card-group > .card {
        flex: 1 0 100% !important;
        margin-bottom: 0;
    }
}
@media (max-width: 600px) {
    .features {
        padding: 50px 0px;
    }
}

@media (max-width:991px) {
    footer > .container > .d-flex {
        flex-direction : column;
        gap: 20px;
    }
    footer > .container > .d-flex > .d-flex {
        gap: 20px;
    }
}